## org.gnu.gdk
Class EventSelection

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.EventSelection

public class EventSelection
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`EventSelection()`

Method Summary
`protected static int` `getProperty(Handle obj)`
`protected static Handle` `getRequestor(Handle obj)`
`protected static int` `getSelection(Handle obj)`
`protected static boolean` `getSendEvent(Handle obj)`
`protected static int` `getTarget(Handle obj)`
`protected static int` `getTime(Handle obj)`
`protected static int` `getType(Handle obj)` BEGINNING OF GENERATED CODE
`protected static Handle` `getWindow(Handle obj)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventSelection

    public EventSelection()

Method Detail

### getType

    protected static final int getType(Handle obj)

  BEGINNING OF GENERATED CODE

### getWindow

    protected static final Handle getWindow(Handle obj)

### getSendEvent

    protected static final boolean getSendEvent(Handle obj)

### getSelection

    protected static final int getSelection(Handle obj)

### getTarget

    protected static final int getTarget(Handle obj)

### getProperty

    protected static final int getProperty(Handle obj)

### getRequestor

    protected static final Handle getRequestor(Handle obj)

### getTime

    protected static final int getTime(Handle obj)